# lineworks-api
This is a package implemented in Python with the contents of the official LINE WORKS documentation. Published by PyPI.

- [LINE WORKS Official Documentation](https://developers.worksmobile.com/document)
- [PyPI - lineworks](https://pypi.org/project/lineworks/)



# Install
`pip install lineworks`



# Use (e.g. Talk Bot API)
```python
from lineworks.talkbot_api import TalkBotApi


talkbot = TalkBotApi(
    # The following five are required.
    api_id="your api id",
    private_key="your server authentication key",
    server_api_consumer_key="your server api consumer key",
    server_id="your server id",
    bot_no="your bot no",
    dommain_id="your domain id",
    
    # You must enter either the account ID or the room ID.
    account_id="your account id",
    room_id=None
)

talkbot.send_text_message("The text message you want to send to Talk Bot.")
```

API IDs are generated by [line works Developer Console](https://developers.worksmobile.com/jp/console/openapi/main).
In this package, server list (ID registration type) is used.



# Required Python modules
Found in requirements.txt


